## python-extras 0.0.3

=== Makefile ===
# See README.rst for copyright and licensing details.

PYTHON=python
SOURCES=$(shell find extras -name "*.py")

check:
	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run extras.tests.test_suite

TAGS: ${SOURCES}
	ctags -e -R extras/

tags: ${SOURCES}
	ctags -R extras/

clean:
	rm -f TAGS tags
	find extras -name "*.pyc" -exec rm '{}' \;

### Documentation ###

apidocs:
	# pydoctor emits deprecation warnings under Ubuntu 10.10 LTS
	PYTHONWARNINGS='ignore::DeprecationWarning' \
		pydoctor --make-html --add-package extras \
		--docformat=restructuredtext --project-name=extras \
		--project-url=https://launchpad.net/extras


.PHONY: apidocs
.PHONY: check clean

=== debian/changelog ===
python-extras (0.0.3-4+7~bpo8+1) UNRELEASED; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop deprecated python:Provides from python3 package.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:39:08 +0000

python-extras (0.0.3-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Ran wrap-and-sort.
  * Moves python{3,}-testtools as Recommends (Closes: #707814).
  * Standards-Version: is now 3.9.5

  [ Dimitri John Ledkov ]
  * Use python3 dependencies in the python3 package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 02:10:05 +0000

python-extras (0.0.3-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 04:49:39 +0000

python-extras (0.0.3-1) experimental; urgency=low

  * New upstream release.
  * Updated homepage: so it doesn't include the package version.
  * Added "make check" test suite.
  * Added a new python3-extras binary package for Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2013 20:01:12 +0800

python-extras (0.0.2-1) experimental; urgency=low

  * Initial release (Closes: #695833).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2012 06:31:35 +0000

=== debian/control ===
Source: python-extras
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-testtools
Standards-Version: 3.9.5
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-extras?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-extras -b debian/newton
Homepage: https://pypi.python.org/pypi/extras

Package: python-extras
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-testtools
Description: extensions to the Python standard library (Python 2.x)
 Extras is a set of extensions to the Python standard library, originally
 written to make the code within testtools cleaner, but now split out for
 general use outside of a testing context.
 .
 This package contains the libraries for Python 2.x.

Package: python3-extras
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-testtools
Description: extensions to the Python standard library (Python 3.x)
 Extras is a set of extensions to the Python standard library, originally
 written to make the code within testtools cleaner, but now split out for
 general use outside of a testing context.
 .
 This package contains the libraries for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/testing-cabal/extras.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-extras; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-extras; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make check
endif

## python-extras 1.0.0

=== debian/changelog ===
python-extras (1.0.0-6) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090500).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:57:28 +0100

python-extras (1.0.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1045398).
  * Homepage points to github repo rather than pypi.
  * Switch to debhelper-compat = 11.
  * Standards-Version: 4.6.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 12:00:10 +0200

python-extras (1.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Drop Python 2 support (Closes: #937744).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 08:57:50 +0200

python-extras (1.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.
  * Standards-Version is now 4.1.3.
  * Test with all versions of Python.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 20:30:12 +0200

python-extras (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 19:52:41 +0000

python-extras (1.0.0-1) experimental; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop deprecated python:Provides from python3 package.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright order and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:59:57 +0200

=== debian/control ===
Source: python-extras
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-testtools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-extras
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-extras.git
Homepage: https://github.com/testing-cabal/extras

Package: python3-extras
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-testtools,
Description: extensions to the Python standard library (Python 3.x)
 Extras is a set of extensions to the Python standard library, originally
 written to make the code within testtools cleaner, but now split out for
 general use outside of a testing context.
 .
 This package contains the libraries for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/extras.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	find .  -type d -name __pycache__ -exec rm -r {} \+
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR) python$$i -m testtools.run extras.tests.test_suite ; \
	done
endif
